{
  "/api/v1/explore/": {
    "get": {
      "description": "Assembles Explore related information (form_data, slice, dataset) in a single endpoint.<br/><br/> The information can be assembled from:<br/> - The cache using a form_data_key<br/> - The metadata database using a permalink_key<br/> - Build from scratch using dataset or slice identifiers.",
      "parameters": [
        {
          "in": "query",
          "name": "form_data_key",
          "schema": {
            "type": "string"
          }
        },
        {
          "in": "query",
          "name": "permalink_key",
          "schema": {
            "type": "string"
          }
        },
        {
          "in": "query",
          "name": "slice_id",
          "schema": {
            "type": "integer"
          }
        },
        {
          "in": "query",
          "name": "datasource_id",
          "schema": {
            "type": "integer"
          }
        },
        {
          "in": "query",
          "name": "datasource_type",
          "schema": {
            "type": "string"
          }
        }
      ],
      "responses": {
        "200": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ExploreContextSchema"
              }
            }
          },
          "description": "Returns the initial context."
        },
        "400": {
          "$ref": "#/components/responses/400"
        },
        "401": {
          "$ref": "#/components/responses/401"
        },
        "404": {
          "$ref": "#/components/responses/404"
        },
        "422": {
          "$ref": "#/components/responses/422"
        },
        "500": {
          "$ref": "#/components/responses/500"
        }
      },
      "security": [
        {
          "jwt": []
        }
      ],
      "summary": "Assemble Explore related information in a single endpoint",
      "tags": [
        "Explore"
      ]
    }
  },
  "/api/v1/explore/form_data": {
    "post": {
      "parameters": [
        {
          "in": "query",
          "name": "tab_id",
          "schema": {
            "type": "integer"
          }
        }
      ],
      "requestBody": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/FormDataPostSchema"
            }
          }
        },
        "required": true
      },
      "responses": {
        "201": {
          "content": {
            "application/json": {
              "schema": {
                "properties": {
                  "key": {
                    "description": "The key to retrieve the form_data.",
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          },
          "description": "The form_data was stored successfully."
        },
        "400": {
          "$ref": "#/components/responses/400"
        },
        "401": {
          "$ref": "#/components/responses/401"
        },
        "422": {
          "$ref": "#/components/responses/422"
        },
        "500": {
          "$ref": "#/components/responses/500"
        }
      },
      "security": [
        {
          "jwt": []
        }
      ],
      "summary": "Create a new form_data",
      "tags": [
        "Explore Form Data"
      ]
    }
  },
  "/api/v1/explore/form_data/{key}": {
    "delete": {
      "parameters": [
        {
          "description": "The form_data key.",
          "in": "path",
          "name": "key",
          "required": true,
          "schema": {
            "type": "string"
          }
        }
      ],
      "responses": {
        "200": {
          "content": {
            "application/json": {
              "schema": {
                "properties": {
                  "message": {
                    "description": "The result of the operation",
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          },
          "description": "Deleted the stored form_data."
        },
        "400": {
          "$ref": "#/components/responses/400"
        },
        "401": {
          "$ref": "#/components/responses/401"
        },
        "404": {
          "$ref": "#/components/responses/404"
        },
        "422": {
          "$ref": "#/components/responses/422"
        },
        "500": {
          "$ref": "#/components/responses/500"
        }
      },
      "security": [
        {
          "jwt": []
        }
      ],
      "summary": "Delete a form_data",
      "tags": [
        "Explore Form Data"
      ]
    },
    "get": {
      "parameters": [
        {
          "in": "path",
          "name": "key",
          "required": true,
          "schema": {
            "type": "string"
          }
        }
      ],
      "responses": {
        "200": {
          "content": {
            "application/json": {
              "schema": {
                "properties": {
                  "form_data": {
                    "description": "The stored form_data",
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          },
          "description": "Returns the stored form_data."
        },
        "400": {
          "$ref": "#/components/responses/400"
        },
        "401": {
          "$ref": "#/components/responses/401"
        },
        "404": {
          "$ref": "#/components/responses/404"
        },
        "422": {
          "$ref": "#/components/responses/422"
        },
        "500": {
          "$ref": "#/components/responses/500"
        }
      },
      "security": [
        {
          "jwt": []
        }
      ],
      "summary": "Get a form_data",
      "tags": [
        "Explore Form Data"
      ]
    },
    "put": {
      "parameters": [
        {
          "in": "path",
          "name": "key",
          "required": true,
          "schema": {
            "type": "string"
          }
        },
        {
          "in": "query",
          "name": "tab_id",
          "schema": {
            "type": "integer"
          }
        }
      ],
      "requestBody": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/FormDataPutSchema"
            }
          }
        },
        "required": true
      },
      "responses": {
        "200": {
          "content": {
            "application/json": {
              "schema": {
                "properties": {
                  "key": {
                    "description": "The key to retrieve the form_data.",
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          },
          "description": "The form_data was stored successfully."
        },
        "400": {
          "$ref": "#/components/responses/400"
        },
        "401": {
          "$ref": "#/components/responses/401"
        },
        "404": {
          "$ref": "#/components/responses/404"
        },
        "422": {
          "$ref": "#/components/responses/422"
        },
        "500": {
          "$ref": "#/components/responses/500"
        }
      },
      "security": [
        {
          "jwt": []
        }
      ],
      "summary": "Update an existing form_data",
      "tags": [
        "Explore Form Data"
      ]
    }
  },
  "/api/v1/explore/permalink": {
    "post": {
      "requestBody": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ExplorePermalinkStateSchema"
            }
          }
        },
        "required": true
      },
      "responses": {
        "201": {
          "content": {
            "application/json": {
              "schema": {
                "properties": {
                  "key": {
                    "description": "The key to retrieve the permanent link data.",
                    "type": "string"
                  },
                  "url": {
                    "description": "permanent link.",
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          },
          "description": "The permanent link was stored successfully."
        },
        "400": {
          "$ref": "#/components/responses/400"
        },
        "401": {
          "$ref": "#/components/responses/401"
        },
        "422": {
          "$ref": "#/components/responses/422"
        },
        "500": {
          "$ref": "#/components/responses/500"
        }
      },
      "security": [
        {
          "jwt": []
        }
      ],
      "summary": "Create a new permanent link",
      "tags": [
        "Explore Permanent Link"
      ]
    }
  },
  "/api/v1/explore/permalink/{key}": {
    "get": {
      "parameters": [
        {
          "in": "path",
          "name": "key",
          "required": true,
          "schema": {
            "type": "string"
          }
        }
      ],
      "responses": {
        "200": {
          "content": {
            "application/json": {
              "schema": {
                "properties": {
                  "state": {
                    "description": "The stored state",
                    "type": "object"
                  }
                },
                "type": "object"
              }
            }
          },
          "description": "Returns the stored form_data."
        },
        "400": {
          "$ref": "#/components/responses/400"
        },
        "401": {
          "$ref": "#/components/responses/401"
        },
        "404": {
          "$ref": "#/components/responses/404"
        },
        "422": {
          "$ref": "#/components/responses/422"
        },
        "500": {
          "$ref": "#/components/responses/500"
        }
      },
      "security": [
        {
          "jwt": []
        }
      ],
      "summary": "Get chart's permanent link state",
      "tags": [
        "Explore Permanent Link"
      ]
    }
  }
}\n